# Visual Studio
.vs/
*.vcxproj.user
*.vcxproj.filters
*.suo
*.user
*.userosscache
*.sln.docstates

# Build results
[Bb]in/
[Oo]bj/
x64/Debug/
x64/Release/
Debug/
Release/

# Visual Studio intermediate files
*.idb
*.pdb
*.ipdb
*.obj
*.log

# Reshade Plugins Addon specific logs and build files
*.tlog/
*.recipe
*.lastbuildstate
*.FileListAbsolute.txt

# Others
*.exe
*.dll
*.lib
*.exp
*.rc
*.res
*.APS

# Ignore generated files
*.cache
*.sdf

# Ignore temporary files
*.tmp
*.temp

# Ignore any backup or autosave files
*~
*.bak
*.backup

# Ignore Visual Studio Code settings if present
.vscode/

# Ignore Mac system files (if applicable)
.DS_Store
